//-----------------------------------------------------------------------------
// Title      : bsp_ub067_mk3_logview2
//-----------------------------------------------------------------------------
// Funktion   : Logview-Test 2
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 19.01.2013
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LOGVIEW.h>
#include <ub_mk3_2560/MK3_2560_ADC.h>



//-----------------------------------------------------------------------------
// Hinweis : Poti-1 muss an Port-F0 angeschlossen sein
//           Poti-2 muss an Port-F1 angeschlossen sein
// > ADC0+ADC1 werden gemesen und an Logview gesendet
// > INI-File fuer Logview : MK3_Logview_A02.ini
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int adc_wert;
	unsigned int n,m;
	
	// Logview-Treiber init (Kanalanzahl = 2)
	MK3_INIT_LOGVIEW(COM1,B115200,2);
	
	MK3_INIT_ADC();                 // ADC-Treiber init
	
	while (true)
	{
		// kleine Pause
		for(m=0;m<10;m++) {
		  for(n=0;n<10000;n++) {
		    // hier nur warten
		  }
		}
		// ADC0 messen
		adc_wert=MK3_ADC_READ_CH(ADC0);
        // Als Kanal0 speichern
		Logview.ch[0]=adc_wert;
		// ADC1 messen
		adc_wert=MK3_ADC_READ_CH(ADC1);
        // Als Kanal1 speichern
		Logview.ch[1]=adc_wert;
        // Frame an Logview senden
		MK3_LOGVIEW_SEND();
	}
	return 0;
}
//-----------------------------------------------------------------------------
