//-----------------------------------------------------------------------------
// Title      : bsp_ub068_mk3_logview3
//-----------------------------------------------------------------------------
// Funktion   : Logview-Test 3
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 19.01.2013
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LOGVIEW.h>
#include <ub_mk3_2560/MK3_2560_KEY.h>



//-----------------------------------------------------------------------------
// Hinweis : Jumper Port-K muss gesetzt sein
// > Zustand von Button1 bis Button3 wird gemesen und an Logview gesendet
// > INI-File fuer Logview : MK3_Logview_D03.ini
//-----------------------------------------------------------------------------
int main (void)
{
	
	unsigned int n,m;
	
	// Logview-Treiber init (Kanalanzahl = 3)
	MK3_INIT_LOGVIEW(COM1,B115200,3);
	
	MK3_INIT_KEY();                 // Button-Treiber init
	
	while (true)
	{
		// kleine Pause
		for(m=0;m<10;m++) {
		  for(n=0;n<10000;n++) {
		    // hier nur warten
		  }
		}
		// Button1 messen
		if(MK3_KEY_PRESS(BUTTON1)==true) {
		  // Als Kanal0 speichern
		  Logview.ch[0]=5; // HI
		}
		else {
		  // Als Kanal0 speichern
		  Logview.ch[0]=0; // LO
		}
		
		// Button2 messen
		if(MK3_KEY_PRESS(BUTTON2)==true) {
		  // Als Kanal1 speichern
		  Logview.ch[1]=15; // HI
		}
		else {
		  // Als Kanal1 speichern
		  Logview.ch[1]=10; // LO
		}
		
		// Button3 messen
		if(MK3_KEY_PRESS(BUTTON3)==true) {
		  // Als Kanal2 speichern
		  Logview.ch[2]=25; // HI
		}
		else {
		  // Als Kanal2 speichern
		  Logview.ch[2]=20; // LO
		}

        // Frame an Logview senden
		MK3_LOGVIEW_SEND();
	}
	return 0;
}
//-----------------------------------------------------------------------------
